//
//  EPAppDelegate.m
//  EPGroupedTableViewAppearance
//
//  Created by EXphinx on 13-10-12.
//  Copyright (c) 2013年 EXphinx. All rights reserved.
//

#import "EPAppDelegate.h"
#import "EPTableViewController.h"
#import "UITableView+EPGroupedAppearance.h"

@implementation EPAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    
    [[UITableView appearanceProxy] setStylingBlock:^(UITableViewCell *cell, EPGroupedTableViewCellPosition position) {
        
        UIColor *bgColor;
        switch (position) {
            case kEPGroupedTableViewCellPositionBottom:
                bgColor = [UIColor blueColor];
                break;
            case kEPGroupedTableViewCellPositionTop:
                bgColor = [UIColor brownColor];
                break;
            case kEPGroupedTableViewCellPositionTopBottom:
                bgColor = [UIColor grayColor];
                break;
            case kEPGroupedTableViewCellPositionMiddle:
                bgColor = [UIColor lightGrayColor];
                break;
            default:
                bgColor = [UIColor clearColor];
                break;
        }
        
        [cell.contentView makeSubviewsBackgroundColorClear];
        
        cell.backgroundView = [[UIView alloc] initWithFrame:cell.bounds];
        cell.backgroundView.backgroundColor = bgColor;
    }];
    
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.rootViewController =
    [[EPTableViewController alloc] initWithStyle:UITableViewStyleGrouped];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
